{
    "display": {
      "icon": {
        "item": "minecraft:goat_horn"
      },
      "title": {
        "text": "Wakey Wakey",
        "color": "dark_green"
      },
      "description": {
        "text": "Give Egg some Bacon",
        "color": "dark_purple",
        "italic": true
      }
    },
    "parent": "ultimate_spleef:root",
    "criteria": {
      "requirement": {
        "trigger": "minecraft:player_interacted_with_entity",
        "conditions": {
          "player": {
            "nbt": "{SelectedItem:{id:\"minecraft:cooked_porkchop\",tag:{display:{Name:'{\"text\":\"Bacon\"}'}}}}"
          },
          "entity": {
            "type": "minecraft:interaction",
            "nbt": "{Tags:[EggHitBox]}"
          }
        }
      }
    },
    "rewards": {
      "function": "usdp:wakey_wakey"
    }
  }
  